Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.dom
Class DOMErrorImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.DOMErrorImpl

public class DOMErrorImpl
extends java.lang.Object
implements org.apache.xerces.dom3.DOMError

`DOMErrorImpl` is an implementation that describes an error. Note: The error object that describes the error might be reused by Xerces implementation, across multiple calls to the handleEvent method on DOMErrorHandler interface.

See also the Document Object Model (DOM) Level 3 Core Specification.

Field Summary
`java.lang.Exception` | `fException`
`DOMLocatorImpl` | `fLocator`
`java.lang.String` | `fMessage`
`short` | `fSeverity`

Constructor Summary
`DOMErrorImpl()` Default constructor.
`DOMErrorImpl(short severity, XMLParseException exception)` Exctracts information from XMLParserException)

Method Summary
`org.apache.xerces.dom3.DOMLocator` | `getLocation()` The location of the error.
`java.lang.String` | `getMessage()` An implementation specific string describing the error that occured.
`java.lang.Object` | `getRelatedException()` The related platform dependent exception if any.exception is a reserved word, we need to rename it.Change to "relatedException".
`short` | `getSeverity()` The severity of the error, either `SEVERITY_WARNING`, `SEVERITY_ERROR`, or `SEVERITY_FATAL_ERROR`.
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fSeverity

    public short fSeverity

### fMessage

    public java.lang.String fMessage

### fLocator

    public DOMLocatorImpl fLocator

### fException

    public java.lang.Exception fException

Constructor Detail

### DOMErrorImpl

    public DOMErrorImpl()

  Default constructor.

### DOMErrorImpl

    public DOMErrorImpl(short severity,
                        XMLParseException exception)

  Exctracts information from XMLParserException)

Method Detail

### getSeverity

    public short getSeverity()

  The severity of the error, either `SEVERITY_WARNING`, `SEVERITY_ERROR`, or `SEVERITY_FATAL_ERROR`.
  Specified by:
    getSeverity in interface org.apache.xerces.dom3.DOMError

### getMessage

    public java.lang.String getMessage()

  An implementation specific string describing the error that occured.
  Specified by:
    getMessage in interface org.apache.xerces.dom3.DOMError

### getLocation

    public org.apache.xerces.dom3.DOMLocator getLocation()

  The location of the error.
  Specified by:
    getLocation in interface org.apache.xerces.dom3.DOMError

### getRelatedException

    public java.lang.Object getRelatedException()

  The related platform dependent exception if any.exception is a reserved word, we need to rename it.Change to "relatedException". (F2F 26 Sep 2001)
  Specified by:
    getRelatedException in interface org.apache.xerces.dom3.DOMError

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD